package com.ai.da.model.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * @Author: SHAHAIBO
 * @Date: 2023/10/31 14:16
 * @Description: 语言
 */
@Getter
public enum Language implements IEnumDisplay {

    ENGLISH("en", "US"), // 英文

    CHINESE_SIMPLIFIED("zh", "CN"), // 中文（简体）

    KOREAN("ko", "KR"), // 韩文

    JAPANESE("ja", "JP"), // 日文

    RUSSIAN("ru", "RU"), // 俄语

    FRENCH("fr", "FR"), // 法语

    THAI("th", "TH"), // 泰语

    VIETNAMESE("vi", "VN"), // 越南语

    ITALIAN("it", "IT"); // 意大利语

    private String languageCode;

    private String countryCode;

    Language(String languageCode, String countryCode) {
        this.languageCode = languageCode;
        this.countryCode = countryCode;
    }

    @Override
    @JsonValue
    public String getValue() {
        return this.languageCode;
    }

}